%{?nodejs_find_provides_and_requires}

%global packagename parseuri
%global enable_tests 1

Name:		nodejs-parseuri
Version:	0.0.5
Release:	1%{?dist}
Summary:	Method that parses a URI and returns an array of its components

License:	MIT
URL:		https://github.com/get/parseuri
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	dos2unix
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(better-assert)
BuildRequires:	npm(expect.js)
%endif

%description
Method that parses a URI and returns an array of its components


%prep
%autosetup -n package
# convert line endings
dos2unix *.md

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# add missing expect.js devDependency
ln -s %{nodejs_sitelib}/expect.js node_modules/expect.js
%{_bindir}/mocha -R spec test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Mar 29 2017 Jared Smith <jsmith@fedoraproject.org> - 0.0.5-1
- Initial packaging
